### Constructor

# Tsparql SparqlConnection remote_new

#### Declaration [src]

    TrackerSparqlConnection*
    tracker_sparql_connection_remote_new (
      const gchar* uri_base
    )

#### Description [src]

Creates a connection to a remote HTTP SPARQL endpoint.

The connection is made using the libsoup HTTP library. The connection will normally use the `https://` or `http://` protocols.

#### Parameters

`uri_base`

  Type: `const gchar*`

  Base URI of the remote connection.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `TrackerSparqlConnection`

A new remote `TrackerSparqlConnection`.

The caller of the function takes ownership of the data, and is responsible for freeing it.